﻿Public Class MainForm
    Private Sub btnOpenFile_Click(sender As Object, e As EventArgs) Handles btnOpenFile.Click
        With OpenFileDialog1
            .InitialDirectory = "C:\"
            .Title = "Select a File"
            .FileName = ""
            .Filter = "Text Files (*.txt)|*.txt"
            .FilterIndex = 1
            If .ShowDialog() <> Windows.Forms.DialogResult.Cancel Then
                txtSource.Text = OpenFileDialog1.FileName
            Else
                txtSource.Text = ""
            End If

        End With


    End Sub

    Private Sub btnSaveFile_Click(sender As Object, e As EventArgs) Handles btnSaveFile.Click

        With SaveFileDialog1
            .Title = "Specify Destination Filename"
            .Filter = "Text Files (*.txt)|*.txt"
            .FilterIndex = 1
            .OverwritePrompt = True
            If .ShowDialog() <> Windows.Forms.DialogResult.Cancel Then
                txtDestination.Text = .FileName
            End If

        End With
    End Sub

    Private Function DoesSourceFileExist() As Boolean
        If Not (System.IO.File.Exists(txtSource.Text)) Then
            MessageBox.Show("The source file does not exist!")
            Return False
        Else
            Return True
        End If
    End Function

    Private Sub btnCopyFile_Click(sender As Object, e As EventArgs) Handles btnCopyFile.Click
        If Not DoesSourceFileExist() Then Exit Sub
        System.IO.File.Copy(txtSource.Text, txtDestination.Text)
        MessageBox.Show("The file has been successfully copied.")

    End Sub

    Private Sub btnMove_Click(sender As Object, e As EventArgs) Handles btnMove.Click
        If Not DoesSourceFileExist() Then Exit Sub
        System.IO.File.Move(txtSource.Text, txtDestination.Text)
        MessageBox.Show("The file has been successfully moved.")

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If Not DoesSourceFileExist() Then Exit Sub
        If MessageBox.Show("Are you sure you want to delete the source file?",
            "MyApp", MessageBoxButtons.YesNo, MessageBoxIcon.Question) =
            Windows.Forms.DialogResult.Yes Then
            System.IO.File.Delete(txtSource.Text)
            MessageBox.Show("The file has been successfully deleted.")
        End If

    End Sub
End Class
