﻿Imports System.Data.SqlClient

Public Class MainForm
    Private m_cn As New SqlConnection()
    Private m_DA As SqlDataAdapter
    Private m_CB As SqlCommandBuilder
    Private m_DataTable As New DataTable
    Private m_intRowPosition As Integer = 0

    Private Sub MainForm_FormClosed(sender As Object, e As FormClosedEventArgs) Handles Me.FormClosed
        m_cn.Close()
        m_cn.Dispose()

    End Sub

    Private Sub ShowCurrentRecord()
        If m_DataTable.Rows.Count = 0 Then
            txtFullName.Text = ""
            txtState.Text = ""
            Exit Sub
        End If

        txtFullName.Text =
            m_DataTable.Rows(m_intRowPosition)("FullName").ToString()
        txtState.Text =
             m_DataTable.Rows(m_intRowPosition)("State").ToString()
    End Sub


    Private Sub MainForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        m_cn.ConnectionString = "Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=D:\Contacts.mdf;Integrated Security=True;Connect Timeout=30"

        m_cn.Open()
        m_DA = New SqlDataAdapter("Select * From tblContacts", m_cn)
        m_CB = New SqlCommandBuilder(m_DA)
        m_DA.Fill(m_DataTable)

        Me.ShowCurrentRecord()

    End Sub

    Private Sub btnMoveFirst_Click(sender As Object, e As EventArgs) Handles btnMoveFirst.Click
        ' Move to the first row and show the data.
        m_intRowPosition = 0
        Me.ShowCurrentRecord()

    End Sub

    Private Sub btnMovePrevious_Click(sender As Object, e As EventArgs) Handles btnMovePrevious.Click
        ' If not at the first row, go back one row and show the record.
        If m_intRowPosition > 0 Then
            m_intRowPosition = m_intRowPosition - 1
            Me.ShowCurrentRecord()
        End If

    End Sub

    Private Sub btnMoveNext_Click(sender As Object, e As EventArgs) Handles btnMoveNext.Click
        ' If not on the last row, advance one row and show the record.
        If m_intRowPosition < (m_DataTable.Rows.Count - 1) Then
            m_intRowPosition = m_intRowPosition + 1
            Me.ShowCurrentRecord()
        End If

    End Sub

    Private Sub btnMoveLast_Click(sender As Object, e As EventArgs) Handles btnMoveLast.Click
        ' If there are any rows in the data table, move to the last and show
        ' the record.
        If m_DataTable.Rows.Count > 0 Then
            m_intRowPosition = m_DataTable.Rows.Count - 1
            Me.ShowCurrentRecord()
        End If

    End Sub

    Private Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        ' If there is existing data, update it.
        If m_DataTable.Rows.Count <> 0 Then
            m_DataTable.Rows(m_intRowPosition)("FullName") = txtFullName.Text
            m_DataTable.Rows(m_intRowPosition)("State") = txtState.Text
            m_DA.Update(m_DataTable)
        End If

    End Sub

    Private Sub btnAddNew_Click(sender As Object, e As EventArgs) Handles btnAddNew.Click
        Dim drNewRow As DataRow = m_DataTable.NewRow()
        drNewRow("FullName") = txtNewFullName.Text
        drNewRow("State") = txtNewState.Text
        m_DataTable.Rows.Add(drNewRow)
        m_DA.Update(m_DataTable)
        m_intRowPosition = m_DataTable.Rows.Count - 1
        Me.ShowCurrentRecord()

        txtNewFullName.Text = ""
        txtNewState.Text = ""

    End Sub

    Private Sub btnDelete_Click(sender As Object, e As EventArgs) Handles btnDelete.Click
        ' If there is data, delete the current row.
        If m_DataTable.Rows.Count <> 0 Then
            m_DataTable.Rows(m_intRowPosition).Delete()
            m_DA.Update(m_DataTable)
            m_intRowPosition = 0
            Me.ShowCurrentRecord()
        End If

    End Sub
End Class
