﻿Public Class clsNumericTextbox
    Inherits Windows.Forms.TextBox
    Private m_strLastValue As String
    Private m_ttTooltip As New Windows.Forms.ToolTip


    Public Sub New()
        With m_ttTooltip
            .IsBalloon = True
            .ToolTipIcon = ToolTipIcon.Info
            .ToolTipTitle = “Numeric entry required”
            .InitialDelay = 0
            .ReshowDelay = 0
            .SetToolTip(Me, “Please enter a number.”)
        End With

    End Sub

    Private Sub clsNumericTextbox_KeyPress(sender As Object, e As KeyPressEventArgs) Handles Me.KeyPress
        If Not (IsNumeric(e.KeyChar)) Then
            Select Case Microsoft.VisualBasic.AscW(e.KeyChar)
                Case Keys.Enter, Keys.Back, Keys.Tab, Asc(“$”), Asc(“.”), Asc(“,”)

                Case Else
                    e.Handled = True
            End Select
        End If

    End Sub

    Private Sub clsNumericTextbox_TextChanged(sender As Object, e As EventArgs) Handles Me.TextChanged
        If Not (IsNumeric(Me.Text)) And Me.Text.Length > 0 Then
            ' The value is not a number.
            MessageBox.Show("Only numbers are allowed.")
            MyBase.Text = m_strLastValue
        Else
            m_strLastValue = MyBase.Text
        End If

    End Sub


End Class
